function  battle_bai014(npcID)--岚翼分身

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	m=flag.GetBattleValue(16011)  --速度计数
	
	hp=battle.GetSelfHP(2)
	if hp>=50 then
		if battle.CheckNpcPlace(4)==1 or battle.CheckNpcPlace(5)==1 or battle.CheckNpcPlace(6)==1 or battle.CheckNpcPlace(7)==1 then
			battle.MagicToNpc(0,233,2)
		elseif npc.GetHP(battle.GetPlaceNpcID(4),1)<50 or npc.GetHP(battle.GetPlaceNpcID(5),1)<50 or npc.GetHP(battle.GetPlaceNpcID(6),1)<50 or npc.GetHP(battle.GetPlaceNpcID(7),1)<50 then
			battle.MagicToNpc(0,233,2)
		else	
			m=m+1
			flag.SetBattleValue(16011,m)
			a=battle.GetRndNumber(1,10)
			if a>=1 and a<=4 then
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,228,1)    --普通攻击 
			elseif a>=5 and a<=8 then		
					battle.MagicToPlayer(0,229,2)
		
			else		
				battle.MagicToPlayer(0,231,1)
			end
		end		
	else

		battle.MagicToNpc(0,233,2)

	end
	
end